Skip to main content

Retrieve a single account transaction

GET 

/api/transactions/:id

This API endpoint is tailored to retrieve detailed information about an individual transaction, serving as a valuable tool for accessing specific transaction data within your system.

Request

Path Parameters

    id stringrequired

    Transaction identifier

Responses

OK - The request was processed successfully.

Schema
    id integer
    currency string
    amount string
    type string

    Possible values: [fee, payin, payout, peer, fx, card]

    executionDate string
    executed boolean
    createdAt string
    updatedAt string
    account integer
    transactionDetailId integernull
    tags string[]
    documents object
    id integer
    name string
    mimeType string
    expenseCategory object
    id integer
    name string
    accountingAccountNumber string
    externalId string
    expenseCostCenter object
    id integer
    name string
    number string
    vat string[]deprecated
    vats object[]
  • Array [
  • expenseVat stringnull
    rate string
    amount string
    grossAmount string
    externalId stringnull
  • ]
  • comment stringnull
    expenseCompletedAt stringnull
    magicLinkUrl stringnull
    contact object
    id integer
Loading...